低危 Haxx Curl信息泄露漏洞(CNVD-2017-28786)

CVE编号

CVE-2017-1000099

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-10-05
漏洞描述
Haxx Curl是瑞典Haxx公司的一套利用URL语法在命令行下工作的文件传输工具,该工具支持文件上传和下载,并包含一个用于程序开发的libcurl(客户端URL传输库)。

Haxx Curl 7.54.1版本中存在本地信息泄露漏洞。本地攻击者可利用该漏洞获取敏感信息。
解决建议
厂商已发布了漏洞修复程序,请及时关注更新:
https://curl.haxx.se/docs/adv_20170809C.html
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 haxx libcurl 7.54.1 -
运行在以下环境
系统 alpine_3.10 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.11 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.12 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.13 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.14 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.15 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.16 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.3 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.4 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.5 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.6 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.7 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.8 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_3.9 curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 alpine_edge curl * Up to
(excluding)
7.55.0-r0
运行在以下环境
系统 amazon_AMI curl * Up to
(excluding)
7.51.0-9.75.amzn1
运行在以下环境
系统 fedora_25 curl * Up to
(excluding)
7.51.0-9.fc25
运行在以下环境
系统 fedora_26 curl * Up to
(excluding)
7.53.1-10.fc26
运行在以下环境
系统 suse_12 curl * Up to
(excluding)
7.60.0-2
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-200 信息暴露
阿里云安全产品覆盖情况